Send a half-signed transaction
Send a half-signed transaction to BitGo for final signing (using the BitGo key) and broadcasting.
Path Params
-
coinstring requiredCoin or token identifier (e.g. btc, tbtc, eth) -
walletIdstring requiredThe wallet ID
Body Params
object
-
typestringRequired for transactions from MPC wallets. "acceleration" speeds up transactions with a certain nonce by adjusting the gas setting. "accountSet" is for XRP AccountSet transactions. "consolidate" combines multiple UTXO inputs into fewer outputs. "enabletoken" is for SOL. "fanout" splits UTXO inputs into many smaller outputs (UTXO coins only). "stakingLock" and "stakingUnlock" are for Stacks delegations. "transfer" is for native-asset transfers. "trustline" is for Stellar trustline transactions. Possible types include: [acceleration, accountSet, consolidate, enabletoken, fanout, stakingLock, stakingUnlock, transfer, transfertoken, trustline]
For AVAX, possible types include:
addValidator,export, andimport.For XRP, possible types include:
paymentandaccountSet. The default ispayment.For STX, type is required.
-
messagesarray of objectsmessages object
-
addressstring requiredThe address for which you're proving ownership. This address must belong to the wallet. -
messagestring requiredMessage that is being signed.
-
-
numBlocksnumber(BTC only) The number of blocks required to confirm a transaction. You can use
numBlocksto estimate the fee rate by targeting confirmation within a given number of blocks. If bothfeeRateandnumBlocksare absent, the transaction defaults to 2 blocks for confirmation.Note: The
maxFeeRatelimits the fee rate generated bynumBlocks. -
feeRatenumberCustom fee rate (in base units) per kilobyte (or virtual kilobyte). For example, satoshis per kvByte.
If the
feeRateis less than the minimum required network fee, then the minimum fee applies. For example, 1000 sat/kvByte, a flat 1000 microAlgos, or a flat 10 drops of xrp. For XRP, the actual fee is usually 4.5 times the open ledger fee.Note: The
feeRateoverrides themaxFeeRateandminFeeRate. -
maxFeeRatenumber(BTC only) The maximum fee rate (in base units) per kilobyte (or virtual kilobyte). For example, satoshis per kvByte. The
maxFeeRatelimits the fee rate generated by bothfeeMultiplierandnumBlocks.Note: The
feeRateoverrides themaxFeeRate. -
feeMultipliernumber or string(UTXO only) Custom multiplier to the
feeRate. The resulting fee rate is limited by themaxFeeRate. For replace-by-fee (RBF) transactions (that includerbfTxIds), thefeeMultipliermust be greater than 1, since it's an absolute fee multiplier to the transaction being replaced.Note: The
maxFeeRatelimits the fee rate generated byfeeMultiplier. -
minConfirmsnumberThe unspent selection for the transaction will only consider unspents with at least this many confirmations to be used as inputs. Does not apply to change outputs unless used in combination withenforceMinConfirmsForChange. -
enforceMinConfirmsForChangebooleanWhen set to true, will enforce minConfirms for change outputs. -
gasPricenumberCustom gas price to be used for sending the transaction. Only for ETH and ERC20 tokens. -
eip1559objectEIP-1559 transaction parameters. Only for ETH and ERC20 tokens.eip1559 object
-
maxFeePerGasnumber requiredMax total gasPrice for EIP1559 transactions. Only for ETH and ERC20 tokens. -
maxPriorityFeePerGasnumber requiredMax priority tip price for EIP1559 transactions. Only for ETH and ERC20 tokens.
-
-
gasLimitnumberCustom gas limit to be used for sending the transaction. Only for ETH and ERC20 tokens. -
targetWalletUnspentsnumberSpecifies the minimum count of good-sized unspents to maintain in the wallet. Change splitting ceases when the wallet has
targetWalletUnspentsgood-sized unspents.Note: Wallets that continuously send a high count of transactions will automatically split large change amounts into multiple good-sized change outputs while they have fewer than
targetWalletUnspentsgood-sized unspents in their unspent pool. Breaking up large unspents helps to reduce the amount of unconfirmed funds in flight in future transactions, and helps to avoid long chains of unconfirmed transactions. This is especially useful for newly funded wallets or recently refilled send-only wallets. -
minValuenumberIgnore unspents smaller than this amount of base units (e.g. satoshis). For doge, only string is allowed. -
maxValuenumberIgnore unspents larger than this amount of base units (e.g. satoshis). For doge, only string is allowed. -
sequenceIdstringAsequenceIdis a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With asequenceIdyou can easily reference transfers and transactions—for example, to safely retry sending. Because the system only confirms one send request persequenceId(and fails all subsequent attempts), you can retry sending without the risk of double spending. ThesequenceIdis only visible to users on the wallet and is not shared publicly. -
noncestring(DOT only) A nonce ID is a number used to protect private communications by preventing replay attacks. This is an advanced option where users can manually input a new nonce value in order to correct or fill in a missing nonce ID value. -
noSplitChangebooleanSet
trueto disable automatic change splitting.Also see:
targetWalletUnspents -
unspentsarray of strings -
changeAddressstringSpecifies a custom destination address for the transaction's change output(s) -
txFormatstring enum[UTXO only] Format of the returned transaction hex serialization.legacyfor serialized transaction in custom bitcoinjs-lib format.psbtfor BIP174 serialized transactionlegacypsbtpsbt-lite -
instantboolean(DASH only) Specifies whether or not to use Dash's "InstantSend" feature when sending a transaction. -
memoobjectExtra transaction information for CSPR, EOS, HBAR, RUNE, STX, TON, XLM, and XRP. Required for XLM transactions.
Note: For XRP this is the destination tag (DT), for CSPR this is the transfer ID and for ALGO this is the message field.
memo object
-
typestring required -
valuestring required
-
-
commentstringAn optional memo for the transaction. -
destinationChainstring(AVAXC and AVAXP only) Destination chain for an AVAX import/export transaction. One of [P, C]. -
sourceChainstring(AVAXC and AVAXP only) Source chain for an AVAX import/export transaction. One of [P, C]. -
addressTypestring deprecatedDEPRECATED - usechangeAddressType. The type of address to create for change. One ofp2sh,p2shP2wsh,p2wsh, orp2tr. -
changeAddressTypestring or array of stringsThe address type for the change address. One ofp2sh,p2shP2wsh,p2wsh,p2trorp2trMusig2, or an ordered array of those address types (ChangeAddressTypes).ONE OF
string enum
array of string enums
-
startTimestringUnix timestamp in seconds.nanoseconds format, denoting the start of the validity window. Only for HBAR transactions. -
consolidateIdstring(ALGO/TEZOS only) Consolidation ID of this consolidation transaction. -
lastLedgerSequencenumber(XRP only) Absolute max ledger the transaction should be accepted in, whereafter it will be rejected -
ledgerSequenceDeltanumber(XRP only) Relative ledger height (in relation to the current ledger) that the transaction should be accepted in, whereafter it will be rejected -
cpfpTxIdsarray of strings -
cpfpFeeRatenumberThe desired effective fee rate of the accelerated transaction in base units per kilobyte (e.g. satoshi/kB), the unconfirmed transactions it depends on, and the newly created Child-Pays-For-Parent transaction. Must be higher than the current effective fee rate of the target transaction. -
rbfTxIdsarray of strings -
isReplaceableByFeebooleanIt is used to mark an UTXO transaction eligible for Replace-By-Fee (RBF) later. -
maxFeenumberLimits the amount of satoshis that can be used for fees in a Child-Pays-For-Parent (CPFP) transaction. CPFP transactions accelerate the targeted transaction and all of the unconfirmed transactions the targeted transaction depends on.maxFeeis required for all CPFP transactions as it allows users to set a safety net that will halt CPFP attempts that exceed the expected cost. -
strategystringOptional unspent selection strategy to use. One ofRANDOM,FIFOorBNB. -
validFromBlocknumberOptional block this transaction is valid from -
validToBlocknumberOptional block this transaction is valid until -
trustlinesarray of objectstrustlines object
-
actionstring enumaddremove -
limitstringString representation of the amount to limit in base units (stroops) -
tokenstringOne of the supported coin types for Stellar tokens listed in Coin-specific-implementation
-
-
stakingOptionsobjectRequired object for staking. Only for CSPR and STX.ONE OF
-
amountnumber requiredRequired for CSPR. String representation of the amount to stake or unstake in base units (motes). -
validatorstring requiredRequired for CSPR. The validator address used to delegate or undelegate.
-
contractNamestring requiredThe STX staking contract name. Use pox-3. -
functionNamestring requiredSTX staking contract function. -
functionArgsarray of objects requiredONE OF
-
typestring enum requiredType of argument. Use the default.uint128 -
valstring requiredAmount in micro-stx
-
typestring enum requiredType of argument. Use the default.principal -
valstring requiredAddress of the validator
-
typestring enum requiredType of argument. Use the default.optional -
valobject requiredValue for an optional STX staking function argument.ONE OF
string-
typestring enum requiredType of argument. Use the default.tuple -
valarray of objects requiredThe 2 objects are required and in the order expressed: hashbytes, then version.ONE OF
-
keystring enum requiredTuple field name.hashbytes -
typestring enum requiredType of argument. Use the default.buffer -
valstring requiredThe BTC Address hash.
-
keystring enum requiredTuple field name.version -
typestring enum requiredType of argument. Use the default.buffer -
valstring requiredThe BTC Address version.
-
-
-
-
-
unstakingOptionsobjectOptions needed to unstake EOS assetsunstakingOptions object
-
fromstringThe name or address of the account that originally staked assets -
receiverstringThe name or address of the account that had assets staked to -
unstakeCpuQuantitystringThe string amount of assets to unstake from CPU and asset symbol separated by a space (e.g. '100 EOS') -
unstakeNetQuantitystringThe string amount of assets to unstake from Net and asset symbol separated by a space (e.g. '100 EOS')
-
-
refundOptionsobjectOptions needed to refund unstaked EOS assets if automatic refund failsrefundOptions object
-
addressstringThe name or address of the account that originally unstaked assets
-
-
messageKeystringOptional parameter that takes a hexadecimal value to setmessagekeyfor an XRPaccountSettransaction. Recipients field should be empty whenmessageKeyis set. -
reservationobjectOptional parameter for UTXO coins to automatically reserve the unspents that are used in the build. Useful for Cold wallets. If using, must set expireTime.reservation object
-
expireTimestring date-time requiredRequired. The time that the unspent reservations should expire.
-
-
halfSignedobjectThe half-signed transaction. The request must include this or a txHex.halfSigned object
-
txHexstringThe half-signed transaction hex.
-
-
txHexstringThe half-signed, serialized transaction hex. Alternative to sending halfSigned. -
txRequestIdstringThe transaction request id. -
suppressBroadcastbooleanDo not broadcast the transaction after signing. -
videoApproversarray of strings
Responses
200
OK
Response Body
object
-
transferobjectThe transfer record created for this transaction.transfer object
-
baseValuenumberThe value (in base units) sent by this transfer, excluding network fees. BitGo is deprecating this field in the future. -
baseValueStringstringThe value (in base units) sent by this transfer, excluding network fees represented as a string. BitGo is deprecating this field in the future. -
coinstring requiredA cryptocurrency symbol or token ticker symbol -
commentstring nullableA comment from the user -
datestring date-time requiredThe date this Transfer was last updated -
enterprisestring -
organizationstring -
bitgoOrgstring enumBitGo TrustBitGo New YorkBitGo GermanyBitGo SwitzerlandBitGo Europe ApSFrankfurt DE TrustBitGo SingaporeBitGo KoreaBitGo Custody MENA FZEBitGo IndiaBitGo Sister Trust 1BitGo Inc -
entriesarray of objects requiredentries object
-
addressstring requiredAn address affected by this Transfer -
valueStringstringThe change (in base units) in the address' balance represented as a string -
isChangebooleanTrue if this address is a change address (only exists for UTXO coins) and if this is a "send" transfer -
walletstringOnly visible when the user has access to the wallet -
walletLabelstringThe label of the wallet referenced bywallet. Only visible when the user has access to that wallet. Useful for displaying a human-readable destination name (e.g. for sibling enterprise wallets) instead of a generic external-address fallback. -
valuenumberThe change (in base units) in the address' balance -
nftSymbolstring -
typestring enumflushForwarderTokenswalletFundingwalletInitializationaddressInitializationimportedOutputonchainidWalletLinkedonchainidClaimAddedonchainidClaimRemovedAccountCreateContract -
isPayGobooleanTrue if this address is the BitGo PayGo wallet -
tokenstringIf this is a token entry, the token's symbol -
failedbooleanTrue if this entry is failed -
associatedNativeCoinAddressstringThe native coin receive address associated with the solana ATA address. This is currently present only for BitGo addresses. This change was done so that there is a mapping between the two addresses in the transfer entries. -
isFeebooleanIndicates if this entry is a fee -
isInternalbooleanIndicates if this entry is internal -
memostringMemo associated with this entry -
rewardAddressstringReward address associated with this entry -
subtypestringSubtype of this entry -
backingFeeStringstringBacking fee represented as a string -
nftIdstringNFT ID associated with this entry -
tokenContractHashstringToken contract hash associated with this entry -
isRewardbooleanIndicates if this entry is a reward -
activityMetadatamap of objectsCosmos group governance metadata (e.g. MsgSubmitProposal details) emitted by the Generic IndexeractivityMetadata object
-
<key>object
-
-
-
historyarray of objects requiredhistory object
-
actionstring enum requiredcreatedapprovedrejectedsignedunconfirmedconfirmedremovedcommentedfailedregeneratedreplacedreplacingreversedabandoned -
commentstring nullableIf this history object is of action "commented", this is the comment from the user -
datestring date-time requiredThe date of this history object -
transferIdstringThe ID of the transfer that this history object is associated with -
txidstringThe transaction ID of the transaction that this history object is associated with -
userstring
-
-
idstring required -
pendingApprovalstring -
statestring enum requiredThe state of the transfer. Includes the following:
confirmed: The transfer is confirmed on chain.failed: BitGo failed to confirm the transfer on chain. You must retry the transaction.initialized: The initial state when creating a transfer.pendingApproval: The transfer requires admin approval to proceed.rejected: The transfer was rejected by an admin.removed: A network re-org occurred, causing the confirmed transfer to be removed from the blockchain.replaced: The transfer was stuck due to having a low fee and was replaced by a new transfer with a higher fee.reversed: The transfer was reversed (e.g., when a withdrawal offer is rejected in multi-step transfers).signed: The transfer was approved by an admin (if required) and then signed by BitGo.unconfirmed: The signed transaction was sent to the network, and is pending on-chain validation.
initializedpendingApprovalrejectedsignedunconfirmedconfirmedremovedfailedreplacedreverseddeleted -
stakingParamsobjectstakingParams object
-
actionTypestring required -
amountstring -
coreDaoobjectcoreDao object
-
amountstring number required -
expirationstring date-time required -
feenumber required -
rewardAddressstring required -
validatorstring required -
versionnumber required
-
-
receiverAddressstring -
requestIdstring required -
resourcestring -
sourcestring enumexternalinternal -
validatorstring
-
-
txidstringThe on-chain transaction id -
typestring enum requiredDefines whether or not this Transfer was sent or received by the usersendreceive -
usdnumberThe amount of USD of this Transfer (will be negative if it's a send) -
usdRatenumberThe USD rate at the time this Transfer was created -
medianUsdValuenumberThe median USD value of this Transfer -
medianUsdRatenumberThe median USD rate at the time this Transfer was created -
feeUsdnumberThe fee USD value for token transfers -
feeUsdRatenumberThe fee coin USD rate for token transfers -
valuenumberThe total value (in base units) sent by this Transfer (may be approximate for ETH and other coins where amounts in base units can exceed 2^53 - 1) -
valueStringstring requiredThe total value (in base units) sent by this Transfer represented as a String -
walletstring required -
walletTypestring enumWallet typebackingcoldcustodialcustodialPairedhotadvancedtrading -
replacesarray of strings -
replacedByarray of strings -
replacedByTransferIdarray of strings -
riskIndicatorsarray of string enumsSELFDESTRUCT -
baseValueWithoutFeesStringstringThe value (in base units) sent by this transfer, excluding network fees, represented as a string -
baseValueWithoutFeesnumberThe value (in base units) sent by this transfer excluding network fees. -
coinSpecificobjectTransfer fields specific to each coin type -
confirmationsnumberThe number of blocks that have been confirmed since this Transfer's block was confirmed -
consolidateIdstringConsolidation ID if this transfer is part of a consolidation -
feeStringstring nullableThe Transfer's fee (in base units) represented as a String -
feeCoinstringThe coin used to pay the fee (for cross-chain transactions) -
sequenceIdstringUnique wallet identifier for preventing double-spends -
subTypestring enumTransfer subtypeofc_depositofc_withdrawalofc_book_transferofc_exchangeofc_bn_settlement_transferofc_bn_allocationofc_trading_orderofc_trading_settlementofc_margin_collateralofc_margin_positionofc_direct_tradeofc_routedofc_feeofc_otherofc_unstakeofc_financing_liquidationreceive_from_gastankreserved_amountutxo_message_signingpending_depositpending_deposit_activityinternal_transferpending_withdrawal_offerpending_deposit_offeroffer_acceptedoffer_rejectedconfirmed_depositconfirmed_withdrawaldeposit_offer_expiredwithdrawal_offer_expiredwithdrawal_offer_rejectedutxo_expiredoffer_cancelledcancel_withdrawal_offermint_requestmint_offermint_acceptmint_depositmint_rejectburn_requestburn_offerburn_acceptburn_withdrawburn_rejectpending_participant_onboarding_requestparticipant_onboarding_acceptedpending_dtcc_end_investor_inviteend_investor_invite_offerend_investor_invite_acceptedend_investor_invite_rejectedpending_allocationallocation_acceptedcosign_delegation_offercosign_delegation_acceptedcash_dvp_settledrepo_dvp_open_leg_settledrepo_dvp_close_leg_settledstaking_eth_withdrawalstaking_eth_partial_withdrawalstaking_eth_full_withdrawalstaking_eth_mev_rewardstaking_eth_block_rewardstaking_bera_withdrawalstaking_bera_block_rewarddefi_deposit -
txRequestIdstringAssociated transaction request ID -
goStakingRequestIdstringAssociated GO staking request ID -
heightnumberThe height of the block this Transfer was confirmed in (999999999 if unconfirmed) -
heightIdstringThe unique height id of the block -
instantbooleanWhether this is an instant transaction -
instantIdstringThe instant transaction ID if applicable -
isFeebooleanWhether this transfer represents a fee -
isRewardbooleanWhether this transfer represents a staking reward -
isUnlockbooleanWhether this transfer represents an unlock operation -
nSegwitInputsnumberDEPRECATED. Number of segwit inputs on the transfer. -
outputsarray of objectsoutputs object
-
addressstringThe address of the UTXO -
blockHeightnumberThe block this Unspent was created in -
chainnumberThe chain of the UTXO -
coinbasebooleanTrue if this unspent came from the coinbase transaction -
idstringThe ID of the UTXO -
indexnumberThe index of the UTXO -
redeemScriptstringThe redeem script of the UTXO -
valuenumberThe value of the UTXO -
witnessScriptstringThe witness script of the UTXO
-
-
payGoFeenumberThe Transfer's BitGo fee (in base units) -
payGoFeeStringstringThe Transfer's BitGo fee (in base units) represented as a String -
inputsarray of objectsinputs object
-
addressstringThe address of the UTXO -
blockHeightnumberThe block this Unspent was created in -
chainnumberThe chain of the UTXO -
coinbasebooleanTrue if this unspent came from the coinbase transaction -
idstringThe ID of the UTXO -
indexnumberThe index of the UTXO -
redeemScriptstringThe redeem script of the UTXO -
valuenumberThe value of the UTXO -
witnessScriptstringThe witness script of the UTXO
-
-
intendedValueStringstringA string representation (in base units) of the initial value for the transfer. This is present because when a transaction fails on chain, its value is mutated to be zero. This string is immutable and will always be the intended value of the initial transfer regardless of the final state of the transaction. -
labelstringAddress labels (if any) from entries concatenated. -
metadataarray of objectsmetadata object
-
keystring required -
valuestring required
-
-
sendAccountingarray of objectssendAccounting object
-
amountnumber -
amountStringstring required -
idstring -
nOutsnumber required -
typestring required
-
-
tagsarray of strings -
txidTypestringThe type of the transaction id -
usersNotifiedbooleanWhether BitGo already sent notifications to the users of the transfer wallet -
vSizenumberThe size of the transaction -
walletLabelstringLabel of the wallet associated with this transfer -
enterpriseNamestringName of the enterprise associated with this transfer -
ellipticstringElliptic risk score information (trust transfers) -
senderInformationVerifiedbooleanWhether sender information has been verified (trust transfers) -
buildParamsmap of objectsParameters used to build the transactionbuildParams object
-
<key>object
-
-
createdTimestring date-timeThe time this transfer was created -
approvedTimestring date-timeThe time this transfer was approved -
rejectedTimestring date-timeThe time this transfer was rejected -
signedTimestring date-timeThe time this transfer was signed -
unconfirmedTimestring date-timeThe time this transfer became unconfirmed -
confirmedTimestring date-timeThe time this transfer was confirmed -
removedTimestring date-timeThe time this transfer was removed -
commentedTimestring date-timeThe time this transfer was commented on -
failedTimestring date-timeThe time this transfer failed -
regeneratedTimestring date-timeThe time this transfer was regenerated -
replacedTimestring date-timeThe time this transfer was replaced -
replacingTimestring date-timeThe time this transfer started replacing another -
abandonedTimestring date-timeThe time this transfer was abandoned -
signedDatestring date-timeThe date this transfer was signed (legacy field) -
customerApprovedTimestring date-timeThe time this transfer was approved by the customer (trust transfers) -
idVerificationTimestring date-timeThe time identity verification was completed (trust transfers) -
trustSignedTimestring date-timeThe time this transfer was signed by trust (trust transfers) -
trustFinalApprovalTimestring date-timeThe time this transfer received final trust approval (trust transfers)
-
-
txidstringThe transaction's unique identifier. -
txstringThe encoded transaction, either base64 for XLM or hex for other coins. -
statusstring enumThe state of the transfer.initializedpendingApprovalrejectedsignedunconfirmedconfirmedremovedfailedreplacedreverseddeleted
202
Accepted
Response Body
object
-
idstring required -
coinstringA cryptocurrency or token ticker symbol. -
walletstring -
walletTypestring -
walletSubTypestringThe subtype of the wallet (e.g., custodialHot) -
walletsarray of strings -
enterprisestring -
organizationstring -
organizationNamestringThe organization name -
bitgoOrgstringThe BitGo organization -
creatorstring required -
createDatestring date-time requiredThe creation date of the pending approval -
approvedDatestring date-timeThe date when the approval was granted -
updatedAtstring date-timeThe date when the approval was last updated (any update, not just processing) -
keyCurvestring enumThe key curve of the coin attached to this pending approvalsecp256k1ed25519bls12_381 -
infoobject requiredInformation about the pending approvalinfo object
-
typestring enum requireduserChangeRequesttransactionRequesttransactionRequestFullpolicyRuleRequestupdateApprovalsRequiredRequestupdateEnterpriseRequestupdateOrganizationRequestgenericRequestenterpriseInviteRequestupdateWalletSettingRequestupdateWalletTagsRequest -
userChangeRequestobjectuserChangeRequest object
-
actionstringThe action taken -
permissionsarray of strings -
userChangedstringThe user that changed
-
-
transactionRequestobjecttransactionRequest object
-
buildParamsobjectThe build parameters for the transaction -
coinSpecificobjectCoin-specific details -
commentstring nullableThe comment for the transaction request -
feeobjectThe fee for the transaction -
isUnsignedboolean nullableIndicates if the transaction is unsigned -
policyUniqueIdobjectThe unique ID for the policy -
recipientsarray of objectsrecipients object
-
addressstringThe address of the recipient -
amountobjectThe amount to be transferred -
datastringAdditional data for the transaction
-
-
requestedAmountobjectThe requested amount -
sourceWalletobjectThe source wallet -
triggeredPolicyobjectThe triggered policy for the transaction -
validTransactionstringIndicates if the transaction is valid -
validTransactionHashstringThe hash of the valid transaction -
verificationItemsarray of strings nullableThe verification items for the transaction -
verificationRuleIdstring nullableThe ID of the verification rule -
videoApproversarray of objects
-
-
transactionRequestFullobjecttransactionRequestFull object
-
intentobjectThe intent of the transaction requestONE OF
-
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
-
addressstring -
optionmap of objectsoption object
-
<key>object
-
-
-
amountobject requiredamount object
-
valuestring required -
symbolstring required
-
-
datastring
-
-
intentTypestring enum requiredMust be "payment".payment
-
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
- Same shape as
Address.
- Same shape as
-
amountobject requiredamount object
- Same shape as
Amount.
- Same shape as
-
datastring
-
-
intentTypestring enum requiredMust be "payment".payment -
isTestTransactionboolean requiredWhen true, marks this as a test transaction (not broadcast to the network).
-
-
policyUniqueIdstringThe unique ID for the policy -
txRequestobjectThe transaction request detailsONE OF
-
intentobjectThe intent of the transaction requestONE OF
- AdaConsolidateIntent
- Variant 2
- Variant 3
- AdaStakeClaimRewardsIntent
- AdaStakeIntent
- AdaUnstakeIntent
- AdaVoteDelegationIntent
- AptCustomTxIntent
- Variant 9
- Variant 10
- AtomStakeIntent
- AtomUnstakeIntent
- BabyCreateBtcDelegationIntent
- BabyWithdrawRewardIntent
- BscDelegateIntent
- BscUnDelegateIntent
- BscWithdrawUndelegateIntent
- CantonAllocationAllocateIntent
- CantonAllocationOfferWithdrawnIntent
- CantonAllocationRejectIntent
- CantonAllocationRequestIntent
- CantonCosignDelegationAcceptIntent
- CantonCosignDelegationProposalIntent
- CantonCommandIntent
- Variant 25
- Variant 26
- CantonTransferAcceptIntent
- CantonTransferAcknowledgeIntent
- CantonTransferOfferWithdrawnIntent
- CantonTransferRejectIntent
- CantonEndInvestorOnboardingOfferIntent
- CantonEndInvestorOnboardingAcceptIntent
- CantonEndInvestorOnboardingRejectIntent
- CantonParticipantOnboardingRequestIntent
- ClaimIntent
- CosmosContractCallIntent
- Variant 37
- Variant 38
- CosmosStakeClaimRewardsIntent
- CosmosStakeIntent
- CosmosSwitchValidatorIntent
- CosmosUnstakeIntent
- DefiApproveIntent
- DefiDepositIntent
- DefiRedeemIntent
- DefiWithdrawIntent
- DotConsolidateIntent
- DotCreateAccountIntent
- Variant 49
- Variant 50
- DotStakingIntent
- DotUnstakingIntent
- DotWithdrawStakeIntent
- DelegateIntent
- EthAccelerationIntent
- EthConsolidateIntent
- EthConsolidateTokenIntent
- EthFillNonceIntent
- FillNonceIntent
- Variant 60
- Variant 61
- EthStakingIntent
- EthTransferTokenIntent
- StakeClaimRewardsIntent
- UndelegateIntent
- FeeAddressTransferIntent
- HbarUpdateAccountIntent
- HypeevmBridgeFundsIntent
- HypeevmSpotTransferIntent
- HypeevmEnableBridgingIntent
- Variant 71
- Variant 72
- IotaConsolidateIntent
- Variant 74
- Variant 75
- Variant 76
- Variant 77
- MmiSignMessageIntent
- Variant 79
- Variant 80
- NearStakeIntent
- NearUnstakeIntent
- NearWithdrawIntent
- PolyxCreateAccountIntent
- PolyxPreApproveAssetIntent
- PolyxStakeIntent
- PolyxSwitchValidatorIntent
- PolyxUnstakeIntent
- PolyxWithdrawIntent
- SolAuthorizeIntent
- SolClaimIntent
- SolCloseAssociatedTokenAccountIntent
- SolConsolidateIntent
- SolCreateAssociatedTokenAccountIntent
- SolCustomTxIntent
- SolDeactivateIntent
- SolDelegateIntent
- SolGoUnstakeIntent
- Variant 99
- Variant 100
- SolStakeIntent
- SolUnstakeIntent
- SolVersionedCustomTxIntent
- SubstrateConsolidateIntent
- Variant 105
- Variant 106
- SuiConsolidateIntent
- SuiCustomTxIntent
- SuiGoUnstakeIntent
- Variant 110
- Variant 111
- SuiStakingIntent
- SuiUnstakingIntent
- TaoStakeIntent
- TaoSwitchValidatorIntent
- TaoTransferStakeIntent
- TaoUnstakeIntent
- TokenApprovalIntent
- TonConsolidateIntent
- TonDelegateIntent
- TonMultiNominatorDelegateIntent
- TonMultiNominatorUndelegateIntent
- Variant 123
- Variant 124
- TonSingleNominatorDelegateIntent
- TonSingleNominatorUndelegateIntent
- TonUndelegateIntent
- TonWhalesDelegateIntent
- TonWhalesUndelegateIntent
- TrxClaimRewardsIntent
- TrxDelegateResourceIntent
- TrxFreezeIntent
- TrxUndelegateResourceIntent
- TrxUnfreezeIntent
- TrxVoteIntent
- TrxWithdrawExpireUnfreezeIntent
- VetStakingIntent
- VetDelegateIntent
- VetExitDelegationIntent
- VetBurnNFTIntent
- VetStakeClaimRewardsIntent
- VetValidatorRegistrationIntent
- VetIncreaseStakeIntent
- VetDecreaseStakeIntent
- VetSignalExitIntent
- VetWithdrawStakeIntent
- WalletRecoveryIntent
- BaseStakeIntentWithCalldata
- StakeWithCallDataIntent
- SwitchValidatorWithCallDataIntent
- CoreDaoDelegateIntent
- CoreDaoUndelegateIntent
- CoreDaoClaimIntent
- EthLikeStakeIntent
- BeraDelegateIntent
- WalrusStakingIntent
- WalrusUndelegateIntent
- WalrusWithdrawIntent
- XdcUploadKycIntent
- XdcProposeIntent
- XdcResignIntent
- XdcWithdrawIntent
- BaseIntent
No matching variants
-
unspentsarray of strings -
intentTypestring enum requiredMust be "consolidate".consolidate -
receiveAddressstring requiredDestination address for consolidated funds. Must be a wallet-owned address. -
senderAddressIndexnumberIndex of the wallet address to use as the sender. -
consolidateIdstringOpaque identifier used to correlate consolidation requests. -
recipientsarray of objectsrecipients object
-
tokenDataobjecttokenData object
-
tokenQuantitystring required -
tokenTypestring required -
tokenIdstring -
tokenNamestring required -
tokenContractAddressstring -
decimalsnumber
-
-
addressobject requiredaddress object
- Same shape as
Address.
- Same shape as
-
amountobject requiredamount object
- Same shape as
Amount.
- Same shape as
-
datastring
-
-
keepAlivebooleanWhen true, leaves a small amount in the source address to keep it alive. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
unspentsarray of strings required -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
- Same shape as
Address.
- Same shape as
-
amountobject requiredamount object
- Same shape as
Amount.
- Same shape as
-
datastring
-
-
intentTypestring enum requiredMust be "payment".payment
-
unspentsarray of strings required -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
- Same shape as
Address.
- Same shape as
-
amountobject requiredamount object
- Same shape as
Amount.
- Same shape as
-
datastring
-
-
intentTypestring enum requiredMust be "payment".payment -
isTestTransactionboolean requiredWhen true, marks this as a test transaction (not broadcast to the network).
-
intentTypestring enum requiredMust be "stakeClaimRewards".stakeClaimRewards -
stakingRequestIdstring requiredID of the staking request, obtained from the BitGo staking service. -
sourcestring enumOrigin of the staking request: MANUAL (user-initiated), AUTO_STAKE, or EXTERNAL.MANUALAUTO_STAKEEXTERNAL -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
amountobject requiredTransaction amount. amount.symbol identifies the asset (e.g. "hypeevm:eth"); amount.value is the quantity in base units.amount object
-
valuestring required -
symbolstring required
-
-
poolKeyHashstring required -
dRepIdstring required -
amountobjectamount object
-
symbolstring required -
valuestring required
-
-
intentTypestring enum requiredMust be "stake".stake -
stakingRequestIdstring requiredID of the staking request, obtained from the BitGo staking service. -
sourcestring enumOrigin of the staking request: MANUAL (user-initiated), AUTO_STAKE, or EXTERNAL.MANUALAUTO_STAKEEXTERNAL -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
poolKeyHashstring required -
amountobjectamount object
-
symbolstring required -
valuestring required
-
-
intentTypestring enum requiredMust be "unstake".unstake -
stakingRequestIdstring requiredID of the staking request, obtained from the BitGo staking service. -
sourcestring enumOrigin of the staking request: MANUAL (user-initiated), AUTO_STAKE, or EXTERNAL.MANUALAUTO_STAKEEXTERNAL -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
dRepIdstring required -
intentTypestring enum requiredvoteDelegation -
stakingRequestIdstring requiredID of the staking request, obtained from the BitGo staking service. -
sourcestring enumOrigin of the staking request: MANUAL (user-initiated), AUTO_STAKE, or EXTERNAL.MANUALAUTO_STAKEEXTERNAL -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredcustomTx -
aptosCustomTransactionParamsobject requiredaptosCustomTransactionParams object
-
moduleNamestring required -
functionNamestring required -
typeArgumentsarray of strings -
functionArgumentsarray of objects -
abiobjectabi object
-
typeParametersarray of objects required -
parametersarray of objects required
-
-
-
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
maxGasAmountnumber -
gasUnitPricenumber -
expirationTimenumber -
noncestring or numberOverride the on-chain nonce for this transaction.
-
memostring requiredOptional memo string attached to the transaction, used for routing or identification by exchanges. -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
- Same shape as
Address.
- Same shape as
-
amountobject requiredamount object
- Same shape as
Amount.
- Same shape as
-
datastring
-
-
intentTypestring enum requiredMust be "payment".payment
-
memostring requiredOptional memo string attached to the transaction, used for routing or identification by exchanges. -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
- Same shape as
Address.
- Same shape as
-
amountobject requiredamount object
- Same shape as
Amount.
- Same shape as
-
datastring
-
-
intentTypestring enum requiredMust be "payment".payment -
isTestTransactionboolean requiredWhen true, marks this as a test transaction (not broadcast to the network).
-
validatorAddressstring requiredBech32 validator address to delegate tokens to (e.g. cosmosvaloper1...). -
recipientsarray of objectsrecipients object
-
addressobject requiredaddress object
- Same shape as
Address.
- Same shape as
-
amountobject requiredamount object
- Same shape as
Amount.
- Same shape as
-
datastring
-
-
intentTypestring enum requiredMust be "stake".stake -
stakingRequestIdstring requiredID of the staking request, obtained from the BitGo staking service. -
sourcestring enumOrigin of the staking request: MANUAL (user-initiated), AUTO_STAKE, or EXTERNAL.MANUALAUTO_STAKEEXTERNAL -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
amountobject requiredTransaction amount. amount.symbol identifies the asset (e.g. "hypeevm:eth"); amount.value is the quantity in base units.amount object
-
valuestring required -
symbolstring required
-
-
validatorAddressstring requiredBech32 validator address to undelegate tokens from (e.g. cosmosvaloper1...). -
recipientsarray of objectsrecipients object
-
addressobject requiredaddress object
- Same shape as
Address.
- Same shape as
-
amountobject requiredamount object
- Same shape as
Amount.
- Same shape as
-
datastring
-
-
intentTypestring enum requiredMust be "unstake".unstake -
stakingRequestIdstring requiredID of the staking request, obtained from the BitGo staking service. -
sourcestring enumOrigin of the staking request: MANUAL (user-initiated), AUTO_STAKE, or EXTERNAL.MANUALAUTO_STAKEEXTERNAL -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
amountobject requiredTransaction amount. amount.symbol identifies the asset (e.g. "hypeevm:eth"); amount.value is the quantity in base units.amount object
-
valuestring required -
symbolstring required
-
-
intentTypestring enum requiredRegister a BTC delegation on the Babylon chain for Baby BTC staking.createBtcDelegation -
createBtcDelegationBytesstring required -
stakingRequestIdstring requiredID of the staking request, obtained from the BitGo staking service. -
sourcestring enumOrigin of the staking request: MANUAL (user-initiated), AUTO_STAKE, or EXTERNAL.MANUALAUTO_STAKEEXTERNAL -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredstakeClaimRewards -
typestring required -
stakingRequestIdstring requiredID of the staking request, obtained from the BitGo staking service. -
sourcestring enumOrigin of the staking request: MANUAL (user-initiated), AUTO_STAKE, or EXTERNAL.MANUALAUTO_STAKEEXTERNAL -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requireddelegate -
validatorAddressstring required -
relayerFeestring -
delegateVotePowerstring -
stakingRequestIdstring requiredID of the staking request, obtained from the BitGo staking service. -
sourcestring enumOrigin of the staking request: MANUAL (user-initiated), AUTO_STAKE, or EXTERNAL.MANUALAUTO_STAKEEXTERNAL -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
amountobject requiredTransaction amount. amount.symbol identifies the asset (e.g. "hypeevm:eth"); amount.value is the quantity in base units.amount object
-
valuestring required -
symbolstring required
-
-
intentTypestring enum requiredundelegate -
validatorAddressstring required -
relayerFeestring -
stakingRequestIdstring requiredID of the staking request, obtained from the BitGo staking service. -
sourcestring enumOrigin of the staking request: MANUAL (user-initiated), AUTO_STAKE, or EXTERNAL.MANUALAUTO_STAKEEXTERNAL -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
amountobject requiredTransaction amount. amount.symbol identifies the asset (e.g. "hypeevm:eth"); amount.value is the quantity in base units.amount object
-
valuestring required -
symbolstring required
-
-
validatorAddressstring required -
requestNumbernumber required -
intentTypestring enum requiredMust be "claim".claim -
amountobjectamount object
-
symbolstring required -
valuestring required
-
-
stakingRequestIdstring requiredID of the staking request, obtained from the BitGo staking service. -
sourcestring enumOrigin of the staking request: MANUAL (user-initiated), AUTO_STAKE, or EXTERNAL.MANUALAUTO_STAKEEXTERNAL -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredallocationAllocate -
txRequestIdstring required -
updateIdstring -
operatorIdstring -
contractIdstring nullable -
tradeIdstring -
transferLegIdstring -
senderPartyIdstring -
receiverPartyIdstring -
amountstring -
tokenstring -
receiveTokenstring -
receiveAmountstring -
allocateBeforestring -
settleBeforestring -
commentstring -
requestedAtstring -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredallocationOfferWithdrawn -
transferOfferIdstring required -
tokenstring -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredallocationReject -
txRequestIdstring required -
updateIdstring -
operatorIdstring -
contractIdstring nullable -
tradeIdstring -
transferLegIdstring -
senderPartyIdstring -
receiverPartyIdstring -
amountstring -
tokenstring -
receiveTokenstring -
receiveAmountstring -
allocateBeforestring -
settleBeforestring -
commentstring -
requestedAtstring -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredallocationRequest -
updateIdstring required -
operatorIdstring required -
contractIdstring nullable required -
tradeIdstring required -
transferLegIdstring required -
senderPartyIdstring required -
receiverPartyIdstring required -
amountstring required -
tokenstring required -
receiveTokenstring required -
receiveAmountstring required -
allocateBeforestring required -
settleBeforestring required -
commentstring -
requestedAtstring -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredcosignDelegationAccept -
txRequestIdstring required -
operatorIdstring -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredcosignDelegationProposal -
contractIdstring required -
operatorIdstring required -
updateIdstring required -
packageNamestring -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredcantonCommand -
cantonCommandParamsobject requiredcantonCommandParams object
-
commandobject requiredONE OF
-
CreateCommandobject requiredCreateCommand object
-
templateIdstring required -
createArgumentsmap of objects requiredcreateArguments object
-
<key>object
-
-
-
ExerciseCommandobject requiredExerciseCommand object
-
templateIdstring required -
choicestring required -
choiceArgumentmap of objectschoiceArgument object
-
<key>object
-
-
contractIdstring
-
-
-
actAsarray of strings required -
readAsarray of strings -
resolveContractsarray of objectsresolveContracts object
-
templateIdstring required -
actAsarray of strings required -
injectAsstring required -
readAsarray of strings -
resolveAllboolean
-
-
-
tokenstringOptional registered coin/token identifier for the command target (e.g. "tcanton:stgusd1"). This is not an auth/session token. -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
memostring -
isConsolidateboolean -
numberOfSplitsnumber -
unspentsarray of strings required -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
- Same shape as
Address.
- Same shape as
-
amountobject requiredamount object
- Same shape as
Amount.
- Same shape as
-
datastring
-
-
intentTypestring enum requiredMust be "payment".payment
-
memostring -
isConsolidateboolean -
numberOfSplitsnumber -
unspentsarray of strings required -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
- Same shape as
Address.
- Same shape as
-
amountobject requiredamount object
- Same shape as
Amount.
- Same shape as
-
datastring
-
-
intentTypestring enum requiredMust be "payment".payment -
isTestTransactionboolean requiredWhen true, marks this as a test transaction (not broadcast to the network).
-
intentTypestring enum requiredtransferAccept -
txRequestIdstring required -
tokenstring -
expirynumber -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredtransferAcknowledge -
contractIdstring required -
senderPartyIdstring required -
updateIdstring required -
amountstring number required -
expirynumber required -
memoIdstring -
tokenstring -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredtransferOfferWithdrawn -
transferOfferIdstring required -
tokenstring -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredtransferReject -
txRequestIdstring required -
tokenstring -
expirynumber -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredcantonEndInvestorOnboardingOffer -
endInvestorPartyIdstring required -
participantPartyIdstring -
commentstring -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredcantonEndInvestorOnboardingAccept -
txRequestIdstring required -
participantPartyIdstring -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredcantonEndInvestorOnboardingReject -
txRequestIdstring required -
reasonstring required -
participantPartyIdstring -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredcantonParticipantOnboardingRequest -
operatorstring required -
providerstring required -
compliancestring required -
registrarstring required -
clientOnboarderstring required -
expirationIsostring -
commentstring -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredMust be "claim".claim -
stakingRequestIdstring requiredID of the staking request, obtained from the BitGo staking service. -
sourcestring enumOrigin of the staking request: MANUAL (user-initiated), AUTO_STAKE, or EXTERNAL.MANUALAUTO_STAKEEXTERNAL -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredMust be "contractCall"contractCall -
contractstring requiredBech32 contract address to execute -
msgHexstring requiredHex-encoded binary message to pass to the contract Execute entrypoint -
feeGranterstringOptional Bech32 address paying transaction fees on behalf of the submitter (fee-grant). Supported on hash chain; passed through for any chain. -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
memostring requiredOptional memo string attached to the transaction, used for routing or identification by exchanges. -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
- Same shape as
Address.
- Same shape as
-
amountobject requiredamount object
- Same shape as
Amount.
- Same shape as
-
datastring
-
-
intentTypestring enum requiredMust be "payment".payment
-
memostring requiredOptional memo string attached to the transaction, used for routing or identification by exchanges. -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
recipientsarray of objects requiredrecipients object
-
addressobject requiredaddress object
- Same shape as
Address.
- Same shape as
-
amountobject requiredamount object
- Same shape as
Amount.
- Same shape as
-
datastring
-
-
intentTypestring enum requiredMust be "payment".payment -
isTestTransactionboolean requiredWhen true, marks this as a test transaction (not broadcast to the network).
-
intentTypestring enum requiredMust be "stakeClaimRewards"stakeClaimRewards -
validatorAddressstring requiredBech32 validator address to withdraw accumulated staking rewards from (e.g. cosmosvaloper1...) -
stakingRequestIdstring requiredID of the staking request, obtained from the BitGo staking service. -
sourcestring enumOrigin of the staking request: MANUAL (user-initiated), AUTO_STAKE, or EXTERNAL.MANUALAUTO_STAKEEXTERNAL -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requireddelegate -
validatorAddressstring requiredBech32 validator address to delegate tokens to (e.g. cosmosvaloper1...). -
recipientsarray of objectsrecipients object
-
addressobject requiredaddress object
- Same shape as
Address.
- Same shape as
-
amountobject requiredamount object
- Same shape as
Amount.
- Same shape as
-
datastring
-
-
stakingRequestIdstring requiredID of the staking request, obtained from the BitGo staking service. -
sourcestring enumOrigin of the staking request: MANUAL (user-initiated), AUTO_STAKE, or EXTERNAL.MANUALAUTO_STAKEEXTERNAL -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
amountobject requiredTransaction amount. amount.symbol identifies the asset (e.g. "hypeevm:eth"); amount.value is the quantity in base units.amount object
-
valuestring required -
symbolstring required
-
-
intentTypestring enum requiredswitchValidator -
validatorAddressstring requiredBech32 source validator address to redelegate from (e.g. cosmosvaloper1...). -
destValidatorAddressstring requiredBech32 destination validator address to redelegate to (e.g. cosmosvaloper1...). -
stakingRequestIdstring requiredID of the staking request, obtained from the BitGo staking service. -
sourcestring enumOrigin of the staking request: MANUAL (user-initiated), AUTO_STAKE, or EXTERNAL.MANUALAUTO_STAKEEXTERNAL -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
amountobject requiredTransaction amount. amount.symbol identifies the asset (e.g. "hypeevm:eth"); amount.value is the quantity in base units.amount object
-
valuestring required -
symbolstring required
-
-
intentTypestring enum requiredundelegate -
validatorAddressstring requiredBech32 validator address to undelegate tokens from (e.g. cosmosvaloper1...). -
recipientsarray of objectsrecipients object
-
addressobject requiredaddress object
- Same shape as
Address.
- Same shape as
-
amountobject requiredamount object
- Same shape as
Amount.
- Same shape as
-
datastring
-
-
stakingRequestIdstring requiredID of the staking request, obtained from the BitGo staking service. -
sourcestring enumOrigin of the staking request: MANUAL (user-initiated), AUTO_STAKE, or EXTERNAL.MANUALAUTO_STAKEEXTERNAL -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction. -
amountobject requiredTransaction amount. amount.symbol identifies the asset (e.g. "hypeevm:eth"); amount.value is the quantity in base units.amount object
-
valuestring required -
symbolstring required
-
-
intentTypestring enum requireddefi-approve -
vaultIdstring required -
amountstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requireddefi-deposit -
vaultIdstring required -
amountstring required -
operationIdstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requireddefi-redeem -
protocolstring required -
amountstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requireddefi-withdraw -
vaultIdstring required -
shareTokenAmountstring required -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
intentTypestring enum requiredMust be "consolidate".consolidate -
receiveAddressstring requiredDestination address for consolidated funds. Must be a wallet-owned address. -
senderAddressIndexnumberIndex of the wallet address to use as the sender. -
consolidateIdstringOpaque identifier used to correlate consolidation requests. -
recipientsarray of objectsrecipients object
-
tokenDataobjecttokenData object
- Same shape as
TokenData.
- Same shape as
-
addressobject requiredaddress object
- Same shape as
Address.
- Same shape as
-
amountobject requiredamount object
- Same shape as
Amount.
- Same shape as
-
datastring
-
-
keepAlivebooleanWhen true, leaves a small amount in the source address to keep it alive. -
noncestring or numberOverride the on-chain nonce for this transaction.
-
delayBlocksstring required -
proxyTypestring required -
indexnumber -
recipientsarray of objectsrecipients object
-
addressobject requiredaddress object
- Same shape as
Address.
- Same shape as
-
amountobject requiredamount object
- Same shape as
Amount.
- Same shape as
-
datastring
-
-
intentTypestring enum requiredcreateAccount -
namestring -
intentTypestring enum requiredpaymenttransferTokenconsolidateconsolidateTokenfanoutstakeunstakedelegateundelegateswitchValidatorclaimstakeClaimRewardspledgevoteDelegationvotecreateAccountupdateAccountaddTrustLineremoveTrustLinesignMessagesignTypedStructuredDataenableTokenauthorizeaccelerationfillNoncewalletRecoverycontractCalldeactivatecustomTxcloseAssociatedTokenAccountstakeWithCallDataunstakeWithCallDataswitchValidatorWithCallDatafeeAddressTransfertokenApprovaltransferStakevalidatorRegistrationincreaseStakedecreaseStakesignalExitwithdrawStakespotTransferbridgeFundsenableBridginggoUnstakecreateBtcDelegationtransferAccepttransferRejecttransferAcknowledgetransferOfferWithdrawncosignDelegationProposalcosignDelegationAcceptallocationRequestcantonCommandallocationAllocateallocationOfferWithdrawnallocationRejectcantonEndInvestorOnboardingOffercantonEndInvestorOnboardingAcceptcantonEndInvestorOnboardingRejectcantonParticipantOnboardingRequestdefi-depositdefi-redeemdefi-approvedefi-withdrawdelegateResourceundelegateResourceexportimportimporttoc -
sequenceIdstringClient-assigned sequence identifier for idempotency. -
commentstringHuman-readable memo attached to the transaction. -
[...]
